varying vec3 vertex_light_position;
varying vec3 vertex_normal;
vec3 LightPosition = vec3(0.0, 10.0, 0.0);
varying float NdotL;
varying vec3  ReflectVec;
varying vec3  ViewVec;

void main()
{
    vertex_normal = normalize(gl_NormalMatrix * gl_Normal);
    vertex_light_position = normalize(gl_LightSource[0].position.xyz);
    vec3 ecPos      = vec3(gl_ModelViewMatrix * gl_Vertex);
    vec3 tnorm      = normalize(gl_NormalMatrix * gl_Normal);
    vec3 lightVec   = normalize(gl_LightSource[0].position.xyz - ecPos);
    ReflectVec      = normalize(reflect(-lightVec, tnorm));
    ViewVec         = normalize(-ecPos);
    NdotL           = (dot(lightVec, tnorm) + 1.0) * 0.5;
	  gl_FrontColor   = gl_Color;
		gl_TexCoord[0] = gl_MultiTexCoord0;
    gl_Position     = ftransform();
}