varying vec3 vertex_light_position;
varying vec3 vertex_normal;
uniform float specularIntensity;
uniform sampler2D tex;

void main()
{
	float diffuse_value =  max(dot(vertex_normal, vertex_light_position), 0.6);	
	vec4 textureColor = texture2D(tex,gl_TexCoord[0].st);
	gl_FragColor = diffuse_value * gl_Color * textureColor;
	gl_FragColor.a = 1.0;
}
